summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMounir Lamouri <volkmar@gentoo.org>2009-04-18 17:41:28 +0000
committerMounir Lamouri <volkmar@gentoo.org>2009-04-18 17:41:28 +0000
commit8a76d9fbcb71ce9c91113672ab3a5e52ffa5f5ab (patch)
tree1f913abe0253ec09f7242e78fb4510a8187d8118 /net-libs
parentnet-im/ekiga: try to fix preferences segfault bug and kab configure (diff)
downloadvoip-8a76d9fbcb71ce9c91113672ab3a5e52ffa5f5ab.tar.gz
voip-8a76d9fbcb71ce9c91113672ab3a5e52ffa5f5ab.tar.bz2
voip-8a76d9fbcb71ce9c91113672ab3a5e52ffa5f5ab.zip
net-libs/ptlib: add ~amd64 after Manfred Knick tests
svn path=/trunk/; revision=838
Diffstat (limited to 'net-libs')
-rw-r--r--net-libs/ptlib/ChangeLog3
-rw-r--r--net-libs/ptlib/Manifest4
-rw-r--r--net-libs/ptlib/ptlib-2.6.1.ebuild13
3 files changed, 12 insertions, 8 deletions
diff --git a/net-libs/ptlib/ChangeLog b/net-libs/ptlib/ChangeLog
index 33ee53f..f1f8661 100644
--- a/net-libs/ptlib/ChangeLog
+++ b/net-libs/ptlib/ChangeLog
@@ -2,6 +2,9 @@
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 18 Apr 2009; Mounir Lamouri <volkmar@gentoo.org> ptlib-2.6.1.ebuild:
+ Add ~amd64 after Manfred Knick tests and fix some comments
+
02 Apr 2009; Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
ptlib-2.6.1.ebuild:
Fix bug when ffmpeg is enabled without pipechan
diff --git a/net-libs/ptlib/Manifest b/net-libs/ptlib/Manifest
index 0cd465d..5b0d0e7 100644
--- a/net-libs/ptlib/Manifest
+++ b/net-libs/ptlib/Manifest
@@ -4,6 +4,6 @@ DIST ptlib-2.4.5.tar.bz2 2961858 RMD160 dd66ef8fc2edf470fce436ab1d3acc7c24d028d5
DIST ptlib-2.6.1-htmldoc.tar.bz2 2101211 RMD160 c9011b62eec841fef92c88af80a86a034b88a037 SHA1 5c806a40323bca60ad5bf7f4eb16ad6e77195e42 SHA256 0c64af0779971b14b9d86a127869fec0f49d207ed3231bbb79cb060c605ac4e1
DIST ptlib-2.6.1.tar.bz2 3296212 RMD160 e7bd3f954c871725b269df0ab7561ab0fe6a23ba SHA1 b269a20f1bf98130e0088eea6ec5689197cf5521 SHA256 b8301389c1ee9968df8075942061665e33198d3865f92d8fb26e519068517305
EBUILD ptlib-2.4.5-r1.ebuild 8943 RMD160 a7cda0ad18ff3db2323d2aec9ea881dbb0cb5e13 SHA1 6d147b97667fdee259ecac91c8746b9673696fb7 SHA256 42a106bfd9227479298ce906001a4fffbd3ff843d5a53d493f05bf624bd5fd4d
-EBUILD ptlib-2.6.1.ebuild 9159 RMD160 501c0baa459b5b894c9ae14a96efa06d1bc1480f SHA1 feb4452051c928f96ab23769f540ef1d69f80343 SHA256 ec7de37a4fe7b93c2f19d8a4b949970c49e20e0aa7e1810f326adbb4c2a5f33c
-MISC ChangeLog 1506 RMD160 42240ce31be1ff99dbb419c3f62ce380e25476da SHA1 ec4730d8bea75c42b8fa6229851887cb6059b273 SHA256 9eac9786c036f7e2fcf28758e1750a4bdd46130519c1b782b2d0c433b2da75ab
+EBUILD ptlib-2.6.1.ebuild 9234 RMD160 9331afe356e2f936ecc3eb8816026400d56e6766 SHA1 2c6ed2d8030bd0d5cda486ea57395c4bce84f44b SHA256 7afa3c3d2838454f8fe0162a2182fe8a49b656b49628093b10911ce00eb7b63b
+MISC ChangeLog 1639 RMD160 ed5ff0dd4ecbedd49a7cef6f43765b128073931f SHA1 0cca669d9fa2fb59aa1ea81c16e7528998c92d7f SHA256 24827b013f87c16222d0d3725543553475524bc25a5cb7f4e77182bee11225df
MISC metadata.xml 1399 RMD160 6f7041ad693635a3cee1226eb914143dbfcecf55 SHA1 60331a1d8cb47e8bf0b8b8e91a5b021863699979 SHA256 7db5a0e0a077970d1873295c170b1a675cd3a034fb6cb7751f967938aeb995ed
diff --git a/net-libs/ptlib/ptlib-2.6.1.ebuild b/net-libs/ptlib/ptlib-2.6.1.ebuild
index 2a2b5d3..634445f 100644
--- a/net-libs/ptlib/ptlib-2.6.1.ebuild
+++ b/net-libs/ptlib/ptlib-2.6.1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://sourceforge/opalvoip/${P}.tar.bz2
LICENSE="MPL-1.0"
SLOT="0"
-KEYWORDS="~ppc ~x86"
+KEYWORDS="~amd64 ~ppc ~x86"
# default enabled are features from 'minsize', the most used according to ptlib
IUSE="alsa +asn +audio config-file debug dns doc dtmf esd examples ffmpeg ftp
+http http-forms http-server ieee1394 ipv6 jabber ldap mail odbc oss pch
@@ -46,7 +46,8 @@ DEPEND="${COMMON_DEP}
# media-libs/libdc1394:2 should be supported but headers location have changed
# tools/ directory is ignored
# looks to have an auto-magic dep with medialibs, but not in the tree so...
-# TODO: contact upstream about this auto-magic dep
+# TODO: contact upstream about this auto-magic dep
+# TODO: according to scanelf, there is a dep with libraw1394
pkg_setup() {
local warning=false
@@ -188,7 +189,7 @@ src_prepare() {
src_configure() {
local myconf=""
- # plugins disable only if ! audio and ! video
+ # plugins are disabled only if ! audio and ! video
if ! use audio && ! use video; then
myconf="${myconf} --disable-plugins"
else
@@ -308,8 +309,8 @@ src_install() {
pkg_postinst() {
if use examples; then
- ewarn "all examples have been installed, some of them will not work on your system"
- ewarn "it will depend of the enabled use flags"
- ewarn "to test examples, you have to run PTLIBDIR=/usr/share/ptlib make"
+ ewarn "All examples have been installed, some of them will not work on your system"
+ ewarn "it will depend of the enabled USE flags."
+ ewarn "To test examples, you have to run PTLIBDIR=/usr/share/ptlib make"
fi
}